Bug 611895 (CVE-2010-2481) - CVE-2010-2481 libtiff: TIFFExtractData out-of-bounds read crash
Summary: CVE-2010-2481 libtiff: TIFFExtractData out-of-bounds read crash
Status: CLOSED ERRATA
Alias: CVE-2010-2481
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,source=oss-security,report...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-06 19:32 UTC by Tomas Hoger
Modified: 2016-03-04 12:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 16:01:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0519 normal SHIPPED_LIVE Important: libtiff security update 2010-07-08 15:34:41 UTC

Description Tomas Hoger 2010-07-06 19:32:57 UTC
The TIFFExtractData macro in LibTIFF before 3.9.4 does not properly
handle unknown tag types in TIFF directory entries, which allows
remote attackers to cause a denial of service (out-of-bounds read and
application crash) via a crafted TIFF file.

References:
http://thread.gmane.org/gmane.comp.security.oss.general/3075/focus=3097
http://bugzilla.maptools.org/show_bug.cgi?id=2210

Comment 1 Tomas Hoger 2010-07-06 19:35:50 UTC
According to Dan Rosenberg's report, this was originally reported to iDefense.  Dan did not publish too much details about this issue, as it's addressed by Tom's patch from upstream bug report #2210.

Comment 2 errata-xmlrpc 2010-07-08 15:34:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0519 https://rhn.redhat.com/errata/RHSA-2010-0519.html


Note You need to log in before you can comment on or make changes to this bug.